=== debian/control ===
Source: rust-soup3-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gio-sys-0.19+default-dev <!nocheck>,
 librust-glib-sys-0.19+default-dev <!nocheck>,
 librust-gobject-sys-0.19+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-system-deps-6+default-dev <!nocheck>,
 libsoup-3.0-dev <!nocheck>,
 libgirepository1.0-dev,
 gir-rust-code-generator (>= 0.19),
 xmlstarlet
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>,
 Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/soup3-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/soup3-sys
Homepage: https://gtk-rs.org
X-Cargo-Crate: soup3-sys
Rules-Requires-Root: no

Package: librust-soup3-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-sys-0.19+default-dev,
 librust-glib-sys-0.19+default-dev,
 librust-gobject-sys-0.19+default-dev,
 librust-libc-0.2+default-dev,
 librust-system-deps-6+default-dev,
 libsoup-3.0-dev
Provides:
 librust-soup3-sys+default-dev (= ${binary:Version}),
 librust-soup3-sys+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0-dev (= ${binary:Version}),
 librust-soup3-sys-0+default-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0.6-dev (= ${binary:Version}),
 librust-soup3-sys-0.6+default-dev (= ${binary:Version}),
 librust-soup3-sys-0.6+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0.6+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0.6+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0.6+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0+default-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0.6.0+v3-6-dev (= ${binary:Version})
Description: Sys functions for the Rust bindings of libsoup3 - Rust source code
 Source code for Debianized Rust crate "soup3-sys"
