## rust-soup3-sys 0.7.0

=== debian/changelog ===
rust-soup3-sys (0.7.0-3) unstable; urgency=medium

  * Team upload
  * Package soup3-sys 0.7.0 from crates.io using debcargo 2.7.6
  * Stop marking v3_6 test as broken

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Feb 2025 16:32:08 -0500

rust-soup3-sys (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Package soup3-sys 0.7.0 from crates.io using debcargo 2.6.1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 15:21:11 -0400

rust-soup3-sys (0.7.0-1) experimental; urgency=medium

  * Team upload
  * Package soup3-sys 0.7.0 from crates.io using debcargo 2.6.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 21 Aug 2024 10:42:57 -0400

rust-soup3-sys (0.6.0-4) unstable; urgency=medium

  * Upload to unstable
  * Depend on gir-rust-code-generator 0.19.1

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 05 May 2024 23:42:08 +0200
