=== debian/control ===
Source: rust-soup3-sys
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.70),
 libstd-rust-dev,
 librust-gio-sys-0.21+default-dev,
 librust-glib-sys-0.21+default-dev,
 librust-gobject-sys-0.21+default-dev,
 librust-libc-0.2+default-dev,
 librust-system-deps-7+default-dev,
 libsoup-3.0-dev (>= 3.6),
 gir-rust-code-generator (>= 0.19.1),
 gir1.2-soup-3.0-dev,
 gobject-introspection (>= 1.86.0-3~),
 xmlstarlet
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>,
 Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/soup3-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/soup3-sys
Homepage: https://gtk-rs.org
X-Cargo-Crate: soup3-sys

Package: librust-soup3-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gio-sys-0.21+default-dev,
 librust-glib-sys-0.21+default-dev,
 librust-gobject-sys-0.21+default-dev,
 librust-libc-0.2+default-dev,
 librust-system-deps-7+default-dev,
 libsoup-3.0-dev (>= 3.6)
Provides:
 librust-soup3-sys+default-dev (= ${binary:Version}),
 librust-soup3-sys+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0-dev (= ${binary:Version}),
 librust-soup3-sys-0+default-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0.8-dev (= ${binary:Version}),
 librust-soup3-sys-0.8+default-dev (= ${binary:Version}),
 librust-soup3-sys-0.8+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0.8+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0.8+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0.8+v3-6-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0+default-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0+v3-0-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0+v3-2-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0+v3-4-dev (= ${binary:Version}),
 librust-soup3-sys-0.8.0+v3-6-dev (= ${binary:Version})
Description: Sys functions for the Rust bindings of libsoup3 - Rust source code
 Source code for Debianized Rust crate "soup3-sys"
