=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 # regenerating the source code
 # applying debian patches and upstream xmlstarlet fixes taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
 execute_before_dh_auto_build:
-	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)
-	cp /usr/share/gir-1.0/Soup-3.0.gir $(CURDIR)
-	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)
-	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)
-	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)
+	deb-gir-tool find \
+		--target-directory=$(CURDIR) \
+		--verbose \
+		--with-dependencies \
+		Soup-3.0
 	xmlstarlet ed -L \
 	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
 	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
@@ -31,7 +31,7 @@
 	GObject-2.0.gir
 	sed -i 's/girs_directories\s=\s\[\s\"\.\.\",\s\"\.\.\/gir-files\/\"\s\]/girs_directories=\[\".\"\]/' $(CURDIR)/Gir.toml
 	gir -o .
-	patch -p1 < $(CURDIR)/debian/patches/skip-cross-validate-constants.diff
+	patch -p1 < $(CURDIR)/debian/patches/fix-constants.diff
 
 # Remove the .gir files before install
 execute_before_dh_auto_install:
